> ## Name

> cgIsBuffer - determine if a buffer handle references a valid buffer

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgIsBuffer( CGbuffer buffer );

> ## Parameters

> buffer
>   The buffer handle to check.

> ## Return Values

> Returns CG_TRUE if buffer references a valid buffer object.

> Returns CG_FALSE otherwise.

> ## Description

> cgIsBuffer return CG_TRUE if buffer references a valid buffer object.

> ## Examples

> ## Errors

> None.

> ## History

> cgIsBuffer was introduced in Cg 3.1.

> ## See Also

> cgCreateBuffer, cgDestroyBuffer, cgGetProgramBuffer